$('#daterange-btn').daterangepicker(
	{
	  ranges   : {
		'Hoy'       : [moment(), moment()],
		'Ayer'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
		'Últimos 7 días' : [moment().subtract(6, 'days'), moment()],
		'Últimos 30 días': [moment().subtract(29, 'days'), moment()],
		'Este mes'  : [moment().startOf('month'), moment().endOf('month')],
		'Último mes'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
	  },
	  startDate: moment(),
	  endDate  : moment(),

	  locale : {
		  format: "DD/MM/YYYY",
		  daysOfWeek: ['Do','Lu','Ma', 'Mi', 'Ju', 'Vi','Sa'],
		  monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre']
	  }
	},
	function (start, end) {
	  $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
  
	  var fechaInicial = start.format('YYYY-MM-DD');
	  
	  console.log("fechaInicial", fechaInicial);
  
	  var fechaFinal = end.format('YYYY-MM-DD');
  
	  var capturarRango = $("#daterange-btn span").html();
	 
		 localStorage.setItem("capturarRango", capturarRango);
		 
		 
  
		 window.location = "index.php?ruta=pedidos-validados&fechaInicial="+fechaInicial+"&fechaFinal="+fechaFinal;
  
	}
  
  )

  /*=============================================
CANCELAR RANGO DE FECHAS
=============================================*/

$(".daterangepicker.opensleft .range_inputs .cancelBtn").on("click", function(){

	localStorage.removeItem("capturarRango");
	localStorage.clear();
	window.location = "pedidos-validados";
})

/*=============================================
CAPTURAR HOY
=============================================*/

$(".daterangepicker.opensleft .ranges li").on("click", function(){

	var textoHoy = $(this).attr("data-range-key");

	if(textoHoy == "Hoy"){

		var d = new Date();
		
		var dia = d.getDate();
		var mes = d.getMonth()+1;
		var año = d.getFullYear();

		if(mes < 10){

			var fechaInicial = año+"-0"+mes+"-"+dia;
			var fechaFinal = año+"-0"+mes+"-"+dia;

		}else if(dia < 10){

			var fechaInicial = año+"-"+mes+"-0"+dia;
			var fechaFinal = año+"-"+mes+"-0"+dia;

		}else if(mes < 10 && dia < 10){

			var fechaInicial = año+"-0"+mes+"-0"+dia;
			var fechaFinal = año+"-0"+mes+"-0"+dia;

		}else{

			var fechaInicial = año+"-"+mes+"-"+dia;
	    	var fechaFinal = año+"-"+mes+"-"+dia;

		}	

    	localStorage.setItem("capturarRango", "Hoy");

    	window.location = "index.php?ruta=pedidos-validados&fechaInicial="+fechaInicial+"&fechaFinal="+fechaFinal;

	}

})


var ventass = $('.pedidosValidados').DataTable({
    "autoWidth": false,
    "stateSave":  true,
	"deferRender":true,
    "retrieve":true,
    "processing": false,
    "sScrollY": "70vh",
    "scrollCollapse":true,
    "paging":false,
    "colReorder": true,
    "language": {

            "decimal": "",
            "sEmptyTable": "No hay información",
            "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ Entradas",
            "sInfoEmpty": "Mostrando 0 to 0 of 0 Entradas",
            "sInfoFiltered": "(Filtrado de _MAX_ total entradas)",
            "sInfoPostFix": "",
            "sInfoThousands": ",",
            "sLengthMenu": "Mostrar _MENU_ Entradas",
            "sLoadingRecords": "Cargando...",
            "sProcessing": "Procesando...",
            "sSearch": "Buscar:",
            "sZeroRecords": "Sin resultados encontrados",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendete",
                "sSortDescending": ": Activar para ordenar la columna de manera descendete",
            }
        },
		"drawCallback": function() {
			var api = this.api();
			$(api.column(6).footer()).html(
				'TOTAL: S/. '+Math.round(api.column(6, {page: 'current'}).data().sum()*100)/100
			)
			
			
		},
        "dom": "Bfrtilp",
                "buttons": [
                    {
                        "extend": "pdfHtml5",
                        "download": "open",
                        "text": "<i class='fas fa-file-pdf'></i>",
                        "titleAttr" : "Exportar a pdf",
                        "className": 'btn btn-danger',
                        "filename" : function() {
                            return "Reporte de ventas"      
                          },      
                        "customize": function(doc) {
                            doc.defaultStyle.fontSize = 8; 
                            doc.defaultStyle.alignment = 'justify'
                            
                         
                        },
                         "exportOptions": {
                            "columns": ["1", "7" ,"2","3","5","6"],
                            "page": 'current'
                        },
                        "footer": true

                    },
					{
						"extend": "excel",
						"text": "<i class='fas fa-file-excel'></i>",
						"titleAttr" : "Exportar a Excel",
						"className": 'btn btn-success',
						"filename": function() {
							return "Ventas"      
						  },
						"exportOptions": {
							"columns": ["1","2","3","4","5","6","7","8"]
						}
					},
					{
                        "extend": "print",
                        "text": "<i class='fa fa-print'></i>",
                        "titleAttr" : "Imprimir",
                        "className": 'btn btn-info',
                        "customize": function (win) {
                            $(win.document.body)
                                .css( "font-size", "8pt" )
                            $(win.document.body).find( "table" )
                                .addClass( "compact" )
                                .css( "font-size", "8pt" );
                        }
                    }
                ]
        
});


$(".pedidosValidados").on("click", ".btnVerVale", function(){

	var codigoVenta = $(this).attr("codigoVenta");

	window.open("extenciones/TCPDF/pdf/pedidoValidado.php?codigo="+codigoVenta,"_blank");

})


$(".pedidosValidados tbody").on("click", ".btnEditarPedidoValidado", function(){

	var idVenta = $(this).attr("idVenta");
	var datos = new FormData();
    datos.append("idVenta", idVenta);

	$.ajax({
        url:"ajax/venta.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType: "json",
        success: function(respuesta5){	

			$("#codigopedido").val(respuesta5["codigo"]);
			$("#fecha").val(respuesta5["fecha"]);
			$("#sustentacion").val(respuesta5["sustentacion"]);

			var idUsuario = respuesta5["id_usuario"];
	
			var datos1 = new FormData();
			datos1.append("idUsuario", idUsuario);

			$.ajax({
				url:"ajax/usuarios.ajax.php",
				method: "POST",
				data: datos1,
				cache: false,
				contentType: false,
				processData: false,
				dataType: "json",
				success: function(respuesta){	


					var idTrabajador = respuesta["id_empleado"];
	
					var datos2 = new FormData();
					datos2.append("idTrabajador", idTrabajador);

					$.ajax({

						url:"ajax/trabajador.ajax.php",
						method: "POST",
						data: datos2,
						cache: false,
						contentType: false,
						processData: false,
						dataType: "json",
						success: function(respuesta){

							$("#jefearea").val(respuesta["nombre"]);
							$("#dni").val(respuesta["num_documento"]);

						}
					});

					var idArea = respuesta["id_area"];

					var datos3 = new FormData();
					datos3.append("idArea", idArea);

					$.ajax({

						url:"ajax/area.ajax.php",
						method: "POST",
						data: datos3,
						cache: false,
						contentType: false,
						processData: false,
						dataType: "json",
						success: function(respuesta){
							
							$("#area").val(respuesta["nombre"]);
							

						}

					});



				}
			})

			var idProductoss = [];

			let productos = JSON.parse(respuesta5["productos"]);
			for (let index = 0; index < productos.length; index++) {

				var idProducto = productos[index].id;

				idProductoss.push(productos[index].id);

						// if (idProducto[index].id == 11) {

						// 	$("#vehiculo").css("display","block");

						// }else{

						// $("#vehiculo").css("display","none");

						// }



						// $("#validar").change(function(){

						// 	for (let index = 0; index < idProducto.length; index++) {

						// 		//console.log(idProducto[index]);

						// 		if (idProducto[index] == 11) {

						// 			$("#vehiculo").css("display","none");
	
						// 		}else{

						// 		  $("#vehiculo").css("display","block");
	
						// 		}
								
						// 	}

							
						//   });

					
					
				

				var datos = new FormData();
				datos.append("idProducto", idProducto);
			
			
				$.ajax({
			
					url:"ajax/productos.ajax.php",
					method: "POST",
					data: datos,
					cache: false,
					contentType: false,
					processData: false,
					dataType: "json",
					success: function(respuesta){

						var idUnidad = respuesta["id_unidad"];

						var datos5 = new FormData();
						datos5.append("idUnidad", idUnidad);

						$.ajax({

							url:"ajax/unidades.ajax.php",
							method: "POST",
							data: datos5,
							cache: false,
							contentType: false,
							processData: false,
							dataType: "json",
							success: function(respuesta1){

								var stockAntiguo =  Number(productos[index].stock) +  Number(productos[index].cantidad);

								$(".listaProducto2").append(
									'<tr style="padding:5px 0px">'+  
									'<!-- N°-->'+				
									'<td >'+
									''+index+''+
									'</td>'+
									'<!-- id-->'+				
									'<td >'+
									''+respuesta5["centro_costo"]+''+
									'<!-- id-->'+				
									'<td >'+
									''+respuesta["codigo"]+''+
									'</td>'+
									'<!-- Descripcion-->'+				
									'<td >'+
									'<div class="input-group">'+
									'<input type="text" class="form-control form-control-sm nuevaDescripcionProducto" style="border: white" idProducto="'+productos[index].id+'" name="agregarProducto" value="'+productos[index].descripcion+'" readonly required>'+
									'</div>'+
									'</td>'+
									'<!-- Unidades-->'+				
									'<td >'+
										''+respuesta1["codigo"]+''+
									'</td>'+

									'<!-- Cantidad del producto -->'+
									'<td class="ingresoCantidad">'+
									'<input type="number" class="form-control form-control-sm nuevaCantidadProducto" name="nuevaCantidadProducto" step="0.01" value="'+productos[index].cantidad+'" stock="'+stockAntiguo+'" nuevoStock="'+productos[index].stock+'" required>'+
									'<input type="hidden" class="form-control  codigoventa" value="'+productos[index].codigo+'">'+
									'</td>' +
								'</tr>') 
								

							}

						});
					
						
						}
					})
			}
		

							// let i = 0
							console.log(idProductoss);

							for (let index = 0; index < idProductoss.length; index++) {
								
								if (idProductoss[index] == 11) {

									$("#vehiculo").css("display","block");
								}else{
									$("#vehiculo").css("display","none");
								}
								
							}

							// while (idProductoss[i] == 11) {
							// 	$("#vehiculo").css("display","block");
							// 	i++;
							// }

							
						  

		}
	})

})
